Bug 1287678 - pmstat -g SEGV
pmstat -g SEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pcp (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nathan Scott
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 08:46 EST by Frank Ch. Eigler
Modified: 2016-04-06 10:55 EDT (History)
7 users (show)

See Also:
Fixed In Version: pcp-3.10.9-1.fc23 pcp-3.10.9-1.fc22 pcp-3.11.1-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-06 10:55:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2015-12-02 08:46:59 EST
pcp-3.10.8-1.fc22.x86_64

% gdb -args pmstat -g
(gdb) run

Program received signal SIGSEGV, Segmentation fault.
strlen () at ../sysdeps/x86_64/strlen.S:106
106		movdqu	(%rax), %xmm12
(gdb) bt
#0  strlen () at ../sysdeps/x86_64/strlen.S:106
#1  0x00002aaaaacd0743 in pmTimeStateSetup (
    timecontrols=timecontrols@entry=0x7fffffffdf00, ctxt=1, port=-1, delta=..., 
    position=..., first=..., last=..., 
    tz=0x1 <error: Cannot access memory at address 0x1>, 
    tz_label=0x2aaaab14d4c0 <hostbuf> "super.elastic.org") at timestate.c:148
#2  0x00000000004018b3 in main (argc=<optimized out>, argv=<optimized out>)
    at pmstat.c:482
(gdb) frame 1
#1  0x00002aaaaacd0743 in pmTimeStateSetup (
    timecontrols=timecontrols@entry=0x7fffffffdf00, ctxt=1, port=-1, delta=..., 
    position=..., first=..., last=..., 
    tz=0x1 <error: Cannot access memory at address 0x1>, 
    tz_label=0x2aaaab14d4c0 <hostbuf> "super.elastic.org") at timestate.c:148
148	    tzlen = strlen(tz) + 1;
(gdb) p tz
$1 = 0x1 <error: Cannot access memory at address 0x1>
Comment 1 Nathan Scott 2015-12-03 21:24:01 EST
Fixed upstream by Someone Else, will be in pcp-3.10.9.
Comment 2 Fedora Update System 2015-12-16 20:54:44 EST
pcp-3.10.9-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d08245c076
Comment 3 Fedora Update System 2015-12-16 20:55:28 EST
pcp-3.10.9-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2b40815137
Comment 4 Fedora Update System 2015-12-16 21:18:15 EST
pcp-3.10.9-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-2ac90519bc
Comment 5 Fedora Update System 2015-12-17 05:26:40 EST
pcp-3.10.9-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update pcp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2b40815137
Comment 6 Fedora Update System 2015-12-17 05:27:00 EST
pcp-3.10.9-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update pcp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d08245c076
Comment 7 Fedora Update System 2015-12-17 07:49:06 EST
pcp-3.10.9-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update pcp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-2ac90519bc
Comment 8 Fedora Update System 2016-01-05 16:57:57 EST
pcp-3.10.9-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-01-05 17:54:33 EST
pcp-3.10.9-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-02-02 22:56:54 EST
pcp-3.11.0-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-57b7efb2d7
Comment 11 Fedora Update System 2016-02-03 17:17:30 EST
pcp-3.11.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-57b7efb2d7
Comment 12 Fedora Update System 2016-03-21 20:17:49 EDT
pcp-3.11.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5b519318e0
Comment 13 Fedora Update System 2016-04-06 10:54:02 EDT
pcp-3.11.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.